Retry a subscriber import
POST
/api/v3/contacts/imports/{importUniqueId}/retry
const url = 'https://api.tryletterhead.com/api/v3/contacts/imports/example/retry';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"api":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/contacts/imports/example/retry \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "api": true }'Resumes a failed subscriber import from where it stopped, rather than requiring the file to be re-uploaded. Returns 202 Accepted β the resumed processing runs asynchronously. Returns 422 if the import isnβt currently in a retryable state.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β importUniqueId
required
string
The importβs unique identifier, from List subscriber imports.
Request Body required
Section titled βRequest Body required β Media type application/json
object
api
required
Required. Set to true to authenticate with an API key.
boolean
Example
{ "api": true}Responses
Section titled β Responses βImport retry started.
Still can’t find what you need? Contact support.